Bug 17070 - Strange dependencies for perl-CGI
: Strange dependencies for perl-CGI
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/perl-CGI)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-09-09 23:34 by
Modified: 2008-09-24 10:26 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-09-09 23:34:14
There are some strange dependencies in the current perl-CGI package build,
especially annoying is dep. on Apache.pm which in turn leads to requirement for
apache server.

$ apt-cache showpkg perl-CGI
Package: perl-CGI
Versions:
3.41-alt1(/var/lib/apt/lists/ftp.altlinux.org_pub_distributions_ALTLinux_Sisyphus_noarch_base_pkglist.classic)
3.39-alt1(/var/lib/rpm/Packages)

Reverse Depends:
  perl-full,perl-CGI 3.10
  fedora-ds-adminserver,perl-CGI
  fedora-ds,perl-CGI
  dspam-webui,perl-CGI
  MySQL-server-perl,perl-CGI
Dependencies:
3.41-alt1 - /usr/lib/perl5/vendor_perl (0 (null)) perl(Apache.pm) (0 (null))
perl(Config.pm) (0 (null)) perl(File/Spec.pm) (2 0.820) perl(constant.pm) (0
(null)) perl(overload.pm) (0 (null)) perl(utf8.pm) (0 (null))
3.39-alt1 - perl(Config.pm) (0 (null)) perl(File/Spec.pm) (2 0.820)
perl(constant.pm) (0 (null)) perl(overload.pm) (0 (null)) perl(utf8.pm) (0
(null))
Provides:
3.41-alt1 - perl-CGI perl(CGI/Util.pm) perl(CGI/Switch.pm) perl(CGI/Push.pm)
perl(CGI/Pretty.pm) perl(CGI/Fast.pm) perl(CGI/Cookie.pm) perl(CGI/Carp.pm)
perl(CGI/Apache.pm) perl(CGI.pm)
3.39-alt1 - perl-CGI perl(CGI/Util.pm) perl(CGI/Switch.pm) perl(CGI/Push.pm)
perl(CGI/Pretty.pm) perl(CGI/Fast.pm) perl(CGI/Cookie.pm) perl(CGI/Carp.pm)
perl(CGI/Apache.pm) perl(CGI.pm)
Reverse Provides:
perl-CGI 3.39-alt1
perl-CGI 3.41-alt1
------- Comment #1 From 2008-09-24 10:26:26 -------
http://www.nntp.perl.org/group/perl.perl5.porters/2008/09/msg139856.html
Fixed in perl-base 1:5.8.8-alt22, perl-CGI 3.42-alt1.